Subject: Re: bug#20056: 25.0.50; Remove non Common Lisp stuff from cl*.el libraries

From: Štěpán Němec <[email-masked]>
Date: Sat, 03 Aug 2019 09:49:27 +0200

On Fri, 02 Aug 2019 22:49:19 -0400
Noam Postavsky wrote:

> Things have changed since the original discussion though: now that setf
> has been moved out of cl-lib, I think cl-letf and cl-callf should go
> with it.

As much as I would personally like to get rid of the prefixes, it seems
to me that unless you move _most_ of cl-, you'll only increase the
confusion. Now it's just setf, that's easy to remember, but with more
exceptions one would have to check if a particular form is or isn't
supposed to be used with the prefix all the time (albeit with the help
of the byte compiler).

Considering your proposal in particular, what about shiftf, rotatef?
What makes them different?

-- 
Štěpán